package com.yiqi.core.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiqi.core.domain.ClothType;
import org.apache.ibatis.annotations.Mapper;

/**
 * 衣服种类Mapper接口
 *
 * @author ruoyi
 * @date 2023-08-03
 */
public interface ClothTypeMapper extends BaseMapper<ClothType> {
    /**
     * 查询衣服种类
     *
     * @param id 衣服种类主键
     * @return 衣服种类
     */
    public ClothType selectClothTypeById(Long id);

    /**
     * 查询衣服种类列表
     *
     * @param clothType 衣服种类
     * @return 衣服种类集合
     */
    public List<ClothType> selectClothTypeList(ClothType clothType);

    /**
     * 新增衣服种类
     *
     * @param clothType 衣服种类
     * @return 结果
     */
    public int insertClothType(ClothType clothType);

    /**
     * 修改衣服种类
     *
     * @param clothType 衣服种类
     * @return 结果
     */
    public int updateClothType(ClothType clothType);

    /**
     * 删除衣服种类
     *
     * @param id 衣服种类主键
     * @return 结果
     */
    public int deleteClothTypeById(Long id);

    /**
     * 批量删除衣服种类
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteClothTypeByIds(Long[] ids);
}
